CH_DRAIN(3)

FUNCTION
ch_drain - Drain bytes from a channel.

SYNOPSIS
#include <karma_ch.h>

unsigned int ch_drain

(Channel channel, unsigned int length)

DESCRIPTION
This routine will drain (read) a specified number of bytes from a channel, ignoring the data.

channel
    The Channel object.

length
    The number of bytes to drain.

RETURN VALUE
The number of bytes drained.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/